# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   pythonProject
# FileName:      __init__.py
# Author:       toast
# Datetime:     2024/9/7 上午9:14
# Description:
# 
# ---------------------------------------------------------------------------
import logging
import os
import time


def log(name="toast"):
    logger = logging.getLogger(name)
    logger.level = logging.INFO
    log_name = time.strftime("%Y-%m-%d_%H-%M-%S", time.localtime()) + ".log"
    log_dir = os.path.join(os.path.join(os.path.dirname(__file__),"report"),"log")
    log_path = os.path.join(log_dir, log_name)
    handle = logging.FileHandler(log_path, mode="a", encoding="utf-8")
    formatter = logging.Formatter('%(asctime)s - %(filename)s[line:%(lineno)d] - %(levelname)s: %(message)s -- %(name)s')
    handle.setFormatter(formatter)
    logger.addHandler(handle)
    return logger

log = log()
